"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var Lint = require("tslint");
var tsutils_1 = require("tsutils");
var Rule = /** @class */ (function (_super) {
    __extends(Rule, _super);
    function Rule() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Rule.prototype.apply = function (sourceFile) {
        return this.applyWithFunction(sourceFile, walk);
    };
    return Rule;
}(Lint.Rules.AbstractRule));
exports.Rule = Rule;
var FILE_ONLY = 'file.only';
var walk = function (ctx) {
    var sourceFile = ctx.sourceFile;
    tsutils_1.forEachComment(ctx.sourceFile, function (fullText, comment) {
        var commentText = fullText.slice(comment.pos, comment.end);
        if (commentText.includes(FILE_ONLY)) {
            ctx.addFailureAt(comment.pos, comment.end, 'file.only comments are not allowed');
        }
    });
};
//# sourceMappingURL=noWallabyFileOnlyRule.js.map